	/*
            ARTHACHITRA MAKES NO REPRESENTATION ABOUT THE SUITABILITY OF THIS SOURCE CODE FOR ANY 
            PURPOSE. IT IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTY OF ANY KIND. ARTHACHITRA DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOURCE CODE, 
            INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, NON-INFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL ARTHACHITRA BE LIABLE FOR ANY 
            SPECIAL, INDIRECT, INCEDENTAL, OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION, ARISING 
            OUT OF OR IN CONNECTION WITH THE USE OR PERFORMACE OF THIS SOURCE CODE.
    */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SharpCharts.Base.Data;

namespace SharpCharts.Base.Connection 
{
    public class NestTraderOption : ExternalOptionsBase
    {
    
    	public NestTraderOption()
    	{
    		
    	}

        public override Type ExternalConnectionType
        {
            get
            {
                return typeof(NestTraderConnection);
            }
        }

        public override Currency[] Currencies
        {
            get
            {
                return new Currency[] { Currency.INR };
            }
        }

        public override Exchange[] Exchanges
        {
            get
            {
                return new Exchange[] { Exchange.NSE, Exchange.BSE, Exchange.MCX, Exchange.NSECDS };
            }
        }

        public override MarketDataType[] HistoricalMarketDataTypes
        {
            get
            {
                return new MarketDataType[] { MarketDataType.Last };
            }
        }

        public override MarketDataType[] RealTimeMarketDataTypes
        {
            get
            {
                return new MarketDataType[] { MarketDataType.Last, MarketDataType.Bid, MarketDataType.Ask, MarketDataType.TotalVolume };
            }
        }

        public override BuiltDataType[] HistoricalBuiltDataTypes
        {
            get
            {
                return new BuiltDataType[0]; //Nest Trader does not supports backfill data
            }
        }

        public override InstrumentType[] InstrumentTypes
        {
            get
            {
                return new InstrumentType[] { InstrumentType.Stocks, InstrumentType.Futures, InstrumentType.Options };
            }
        }

        public override bool SupportsMultipleConnections
        {
            get { return true; }
        }

    }
}